(define-module (wip cc65)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix download)
  #:use-module (guix packages)
  #:use-module (guix build-system gnu)
  #:use-module (gnu packages))

(define-public cc65
  (package
   (name "cc65")
   (version "2.16")
   (source (origin
            (method url-fetch)
            (uri (string-append "https://github.com/cc65/cc65/archive/V"
                                version ".tar.gz"))
            (file-name (string-append name "-" version ".tar.gz"))
            (sha256
             (base32
              "14k7ywyq952nv645d2agl0i2680v9bpwxzblay56a913pzpz3fzx"))))
   (build-system gnu-build-system)
   (arguments
    `(#:make-flags (list (string-append "prefix=" %output))
      #:phases
      (modify-phases %standard-phases
                     (delete 'configure)
                     (delete 'check)
                     (add-after 'install 'check
                              (lambda* (#:key make-flags #:allow-other-keys)
                                (apply invoke "make" "-C" "test" make-flags))))))
   (synopsis "MOS 6502 toolchain")
   (description "Provides a toolchain for the MOS 6502 CPU target.
The following programs are included:
@enumerate
@item cc65 Compiler
@item ca65 Assembler
@item ar65 Archiver
@item cl65 Linker
@item da65 Disassembler
@item ld65 Loader
@item od65 Object file dumper
@item sim65 Emulator
@item sp65 Sprite and bitmap utility
@item grc65 GEOS resource compiler
@end enumerate")
   (home-page "https://cc65.github.io/cc65/")
   (license license:zlib)))
