(define-module (wip icestudio)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix build-system gnu)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix git-download)
  #:use-module (gnu packages)
  #:use-module (gnu packages autotools)
  #:use-module (gnu packages backup)
  #:use-module (gnu packages base)
  #:use-module (gnu packages bash)
  #:use-module (gnu packages bison)
  #:use-module (gnu packages compression)
  #:use-module (gnu packages docbook)
  #:use-module (gnu packages gettext)
  #:use-module (gnu packages glib)
  #:use-module (gnu packages gnupg)
  #:use-module (gnu packages gtk)
  #:use-module (gnu packages gnome)
  #:use-module (gnu packages linux)
  #:use-module (gnu packages nettle)
  #:use-module (gnu packages pkg-config))

; https://github.com/FPGAwars/icestudio-blocks
; https://github.com/FPGAwars/icestudio-examples
; https://github.com/FPGAwars/collection-default
; ng JointJS and AlertifyJS

(define-public icestudio
  (package
    (name "icestudio")
    (version "0.3.2-beta")
    (source
      (origin
        (method url-fetch)
        (uri (string-append "https://github.com/FPGAwars/icestudio/archive/"
                            version ".tar.gz"))
        (sha256
          (base32
            "0hl8ikdby9zgwpqbr03nsqfzzcj525sv9bkz8qpg2agzssvzcy1w"))))
    (build-system gnu-build-system) ; FIXME npm
    ;; Requires python2.7 and xclip.
    (home-page "https://icestudio.readthedocs.io/en/latest/")
    (synopsis "ICEstudio")
    (description "ICEstudio.

IceZUM Alhambra
Kéfir I iCE40-HX4K
Nandland Go board
iCE40-HX8K
iCEstick Evaluation Kit
icoBOARD 1.0
BlackIce
BlackIce II
TinyFPGA B2")
    (license license:gpl2+))) ; FIXME and Creative Commons Attribution-ShareAlike 4.0 International License.
