
(define-module (wip openchange)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (gnu packages)
  #:use-module (gnu packages autotools)
  #:use-module (gnu packages base)
  #:use-module (gnu packages python)
  #:use-module (guix build-system gnu))

(define-public openchange
  (package
    (name "openchange")
    (version "2.3-VULCAN")
    (source
      (origin
        (method url-fetch)
        (uri (string-append "https://github.com/openchange/openchange/archive/"
                            "openchange-" version ".tar.gz"))
        (sha256
         (base32
          "0pm00fs7k0m62i11d45dh6wlhm9zrb2ph6kd7y16mgxpkdvxrzs6"))))
    (build-system gnu-build-system)
    (arguments
     `(#:make-flags
     (list (string-append "prefix=" (assoc-ref %outputs "out")))
       #:phases
       (modify-phases %standard-phases
         (add-before 'configure 'autogen
           (lambda _
             (invoke "make" "config.mk"))))))
    (inputs
     `(("python-wrapper" ,python-wrapper))) ; FIXME python-2
    (native-inputs
     `(("automake" ,automake)
       ("autoconf" ,autoconf)
       ("which" ,which)))
    (home-page "https://github.com/openchange/openchange")
    (synopsis "Mail and groupware server")
    (description "This package provides a mail and groupware server.")
    (license license:gpl3+)))
