(define-module (wip vscode)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix git-download)
  #:use-module (guix packages)
  #:use-module (gnu packages cross-base)
  #:use-module (guix build-system gnu))

;; Requires: node, gulp, yarn.
(define-public vscode
  (package
    (name "vscode")
    (version "1.33.0")
    (source
      (origin
        (method git-fetch)
        (file-name (string-append name "-" version "-checkout"))
        (uri (git-reference
              (url "https://github.com/Microsoft/vscode.git")
              (commit version)))
        (sha256
         (base32
          "1086x4k7088g332mh00jzpgh7p4wsm4vs8yk2n9ysfacnqn8jvxn"))))
    (build-system gnu-build-system)
    (home-page "https://code.visualstudio.com/")
    (synopsis "Visual Studio Code")
    (description "Microsoft Visual Studio Code.")
    (license license:expat)))
